ARG DEBIAN_VERSION=stable

FROM debian:${DEBIAN_VERSION}

RUN apt-get update &&                           \
    apt-get install -y --no-install-recommends  \
        asciidoc                                \
        automake                                \
        build-essential                         \
        ca-certificates                         \
        clang                                   \
        curl                                    \
        doxygen                                 \
        gcovr                                   \
        git                                     \
        libevent-dev                            \
        liblttng-ust-dev                        \
        liblzma-dev                             \
        libnss3-dev                             \
        libscrypt-dev                           \
        libseccomp-dev                          \
        libssl-dev                              \
        pkg-config                              \
        python3                                 \
        timelimit                               \
        xmlto                                   \
        zlib1g-dev                              \
        &&                                      \
    apt-get clean &&                            \
    rm -rf /var/lib/apt/lists/*
